LauncherType (install4j API)
Description: declaration: package: com.install4j.api.context, enum: LauncherType

Package com.install4j.api.context

# Enum Class LauncherType

java.lang.Object
java.lang.Enum<LauncherType>
com.install4j.api.context.LauncherType

All Implemented Interfaces:
  `Serializable`, `Comparable<LauncherType>`, `Constable`

public enum LauncherType extends Enum<LauncherType>
Enumeration class that represents the different types of launchers. The constants correspond to the different launcher types that you can define in the install4j GUI.

See Also:
  - `LauncherSetup.getType()`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONSOLE`
  Represents a console launcher.
  `EXTERNAL`
  Represents an external launcher.
  `GUI`
  Represents a GUI launcher.
  `INSTALLER_APPLICATION`
  Represents a custom installer application.
  `SERVICE`
  Represents a service launcher.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static LauncherType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LauncherType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONSOLE

    public static final LauncherType CONSOLE
    Represents a console launcher.

  - ### GUI

    public static final LauncherType GUI
    Represents a GUI launcher.

  - ### SERVICE

    public static final LauncherType SERVICE
    Represents a service launcher.

  - ### EXTERNAL

    public static final LauncherType EXTERNAL
    Represents an external launcher.

  - ### INSTALLER_APPLICATION

    public static final LauncherType INSTALLER_APPLICATION
    Represents a custom installer application.

- ## Method Details

  - ### values

    public static LauncherType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LauncherType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<LauncherType>`